diff --git a/doc/src/sgml/ref/create_trigger.sgml b/doc/src/sgml/ref/create_trigger.sgml
index ed6d206ae71..25a639a09c0 100644
--- a/doc/src/sgml/ref/create_trigger.sgml
+++ b/doc/src/sgml/ref/create_trigger.sgml
@@ -197,9 +197,11 @@ CREATE [ OR REPLACE ] [ CONSTRAINT ] TRIGGER <replaceable class="parameter">name
    of the rows inserted, deleted, or modified by the current SQL statement.
    This feature lets the trigger see a global view of what the statement did,
    not just one row at a time.  This option is only allowed for
-   an <literal>AFTER</literal> trigger that is not a constraint trigger; also, if
-   the trigger is an <literal>UPDATE</literal> trigger, it must not specify
-   a <replaceable class="parameter">column_name</replaceable> list.
+   an <literal>AFTER</literal> trigger on a plain table (not a foreign table).
+   The trigger should not be a constraint trigger.  Also, if the trigger is an
+   <literal>UPDATE</literal> trigger, it must not specify
+   a <replaceable class="parameter">column_name</replaceable> list when using
+   this option.
    <literal>OLD TABLE</literal> may only be specified once, and only for a trigger
    that can fire on <literal>UPDATE</literal> or <literal>DELETE</literal>; it creates a
    transition relation containing the <firstterm>before-images</firstterm> of all rows
